Name: openoffice-dictinstall
Version: 0.65
Release: alt1

Summary: A dictionary installer for OpenOffice.org
Summary (ru_RU.UTF-8): Программа для установки дополнительных словарей OpenOffice.org
License: GPL
Group: Office
Url: http://ooodi.sourceforge.net
Source0: OOodi2-%version.tar.gz
Source1: ru.po
Patch0: configure.patch
BuildRequires: XFree86-libs fontconfig freetype2 glib2-devel libatk-devel libcurl-devel libexpat libgtk+2-devel libpango-devel libpopt-devel libssl-devel pkgconfig rootfiles zlib-devel
Requires: unzip

%description
The Dictionary Installer attempts to download additional spelling
and hyphenation dictionaries from http://dict.progbits.com and installs
them.

%description -l ru_RU.UTF-8
Программа для установки словарей OpenOffice.org может скачивать и подключать
дополнительные словари проверки правописания и расстановки переносов с сервера
http://dict.progbits.com.

%prep
%setup -q -n OOodi2-%version
%__cp %SOURCE1 po
%patch0

%build
%configure
%make_build

%install
%makeinstall
# Menu
%__mkdir -p %buildroot%_menudir
%__cat >%buildroot%_menudir/ooodi <<EOF
?package(%name): command="OOodi" needs="X11" \
section="Office" title="OpenOffice Dictionary Installer" \
longtitle="A dictionary manager for OpenOffice.org" icon=""
EOF
%find_lang OOodi2

%post
%update_menus

%postun
%clean_menus

%files -f OOodi2.lang
%_bindir/OOodi
%_datadir/OOodi2
%_menudir/*
%doc README COPYING

%changelog
* Fri Oct 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.65-alt1
- 0.65

* Fri Nov 15 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.55-alt1
- ALTLinux build
